ZXC(1)

NAME
zxc - high-performance asymmetric lossless compression tool

SYNOPSIS
zxc [<options>] [<argument>]...

DESCRIPTION
This is a high-performance, lossless, asymmetric compression library optimized for Content Delivery and Embedded Systems (Game Assets, Firmware, App Bundles). It is designed to be "Write Once, Read Many.". Unlike codecs like LZ4, ZXC trades compression speed (build-time) for maximum decompression throughput (run-time).

OPTIONS

  Standard Modes:

-z, --compress
    Compress FILE {default}

-d, --decompress
    Decompress FILE (or stdin -> stdout)

-l, --list
    List archive information

-t, --test
    Test compressed FILE integrity

-b, --bench
    Benchmark in-memory

  Special Options:

-V, --version
    Show version information

-h, --help
    Show this help message

-1..-5
    Compression level {3}

-T, --threads N
    Number of threads (0=auto)

-C, --checksum
    Enable checksum

-N, --no-checksum Disable checksum

-k, --keep
    Keep input file

-f, --force
    Force overwrite

-c, --stdout
    Write to stdout

-v, --verbose
    Verbose mode

-q, --quiet
    Quiet mode

-j, --json
    JSON output (benchmark mode)